Bug 1314506 - Review Request: libbpg - A library of functions for manipulating BPG image format files
Summary: Review Request: libbpg - A library of functions for manipulating BPG image fo...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal 1301279
TreeView+ depends on / blocked
 
Reported: 2016-03-03 19:14 UTC by Pavel Alexeev
Modified: 2016-08-15 22:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-15 22:54:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Alexeev 2016-03-03 19:14:33 UTC
Spec URL: https://raw.githubusercontent.com/Hubbitus/rpm-libbpg/master/libbpg.spec
SRPM URL: http://rpm.hubbitus.info/Fedora23/libbpg/libbpg-0.9.6-2.fc23.src.rpm
Description: BPG (Better Portable Graphics) is a image format whose purpose is to
replace the JPEG image format when quality or file size is an issue. Its
main advantages are:
* High compression ratio. Files are much smaller than JPEG for similar quality.
* Supported by most Web browsers with a small Javascript decoder.
* Based on a subset of the HEVC open video compression standard.
* Supports the same chroma formats as JPEG (grayscale, YCbCr 4:2:0, 4:2:2,
4:4:4) to reduce the losses during the conversion. An alpha channel is
supported. The RGB, YCgCo and CMYK color spaces are also supported.
* Native support of 8 to 14 bits per channel for a higher dynamic range.
* Lossless compression is supported.
* Various metadata (such as EXIF, ICC profile, XMP) can be included.

Fedora Account System Username: hubbitus

Comment 1 Pavel Alexeev 2016-03-03 19:15:54 UTC
It is free software, but on offsite stated:
Licensing

The BPG decoding library uses a modified version of FFmpeg released under the LGPL version 2.1 as HEVC decoder. The BPG decoding library excluding the FFmpeg code is released under the BSD license.
The BPG encoder as a whole is released under the GPL version 2 license. The BPG encoder sources excluding x265 are released under the BSD license. The x265 library is released under the GPL version 2 license. The optional JCTVC HEVC reference encoder is released under the BSD license.
Some of the HEVC algorithms may be protected by patents in some countries (read the FFmpeg Patent Mini-FAQ for more information). Most devices already include or will include hardware HEVC support, so we suggest to use it if patents are an issue.


Could you please revisit is it acceptable for inclusion?

Comment 2 Tom "spot" Callaway 2016-03-09 04:51:39 UTC
x265 encoding is not acceptable for inclusion in Fedora at this time. I'm fairly confident that BPG depends on x265 encoding, so this makes libbpg unacceptable.

I realize this is disappointing, because this is an interesting new image format.

Comment 3 Pavel Alexeev 2016-08-15 22:54:29 UTC
Sad to heard. Meantime thank you for the investigation.


Note You need to log in before you can comment on or make changes to this bug.